%global forgeurl https://github.com/DrTimothyAldenDavis/GraphBLAS
Version:        8.0.1
%forgemeta

Name:           graphblas
Release:        %autorelease
Summary:        The graph algorithms in the language of linear algebra
License:        Apache-2.0
URL:            %{forgeurl}
Source0:        %{forgesource}

BuildRequires:  gcc-c++
BuildRequires:  cmake
BuildRequires:  ninja-build

%description
GraphBLAS is a complete implementation of the GraphBLAS standard, which defines
a set of sparse matrix operations on an extended algebra of semirings using an
almost unlimited variety of operators and types. When applied to sparse
adjacency matrices, these algebraic operations are equivalent to computations on
graphs. GraphBLAS provides a powerful and expressive framework for creating
graph algorithms based on the elegant mathematics of sparse matrix operations on
a semiring.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%forgeautosetup -p1

%build
%cmake \
    -G Ninja \
    -DCMAKE_BUILD_TYPE=Release \
%cmake_build

%install
%cmake_install

%files
%license
%doc README.md
%{_libdir}/libgraphblas.so.8*

%files devel
%{_includedir}/GraphBLAS.h
%{_libdir}/cmake/SuiteSparse/FindGraphBLAS.cmake
%{_libdir}/libgraphblas.so

%changelog
%autochangelog
